Bug 889889 - Large development documentation in run-time package
Summary: Large development documentation in run-time package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wxpdfdoc
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Domingo Becker
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-23 20:55 UTC by Michael Schwendt
Modified: 2013-01-14 04:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-14 04:08:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Schwendt 2012-12-23 20:55:07 UTC
Description of problem:

$ cd /usr/share/doc/wxpdfdoc-0.9.2.1/
$ du -h html/
5.7M	html/

The "Doxyfile" can be deleted, the "html" tree should be move to the -devel package, because it is the API documentation for developers.
https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

Version-Release number of selected component (if applicable):
wxpdfdoc-0.9.2.1-4.fc18.x86_64

Comment 1 Fedora Update System 2012-12-24 03:51:49 UTC
wxpdfdoc-0.9.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wxpdfdoc-0.9.3-1.fc18

Comment 2 Fedora Update System 2012-12-24 04:11:06 UTC
wxpdfdoc-0.9.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wxpdfdoc-0.9.3-1.fc17

Comment 3 Fedora Update System 2012-12-24 04:26:35 UTC
wxpdfdoc-0.9.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wxpdfdoc-0.9.3-1.fc16

Comment 4 Domingo Becker 2012-12-24 04:28:57 UTC
(In reply to comment #0)
> 
> The "Doxyfile" can be deleted, the "html" tree should be move to the -devel
> package, because it is the API documentation for developers.

Done.

I also updated the package to the latest upstream version.

Karmas are welcomed.

Comment 5 Fedora Update System 2012-12-24 22:09:45 UTC
Package wxpdfdoc-0.9.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wxpdfdoc-0.9.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20928/wxpdfdoc-0.9.3-1.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-01-14 04:08:25 UTC
wxpdfdoc-0.9.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-01-14 04:20:41 UTC
wxpdfdoc-0.9.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-01-14 04:27:29 UTC
wxpdfdoc-0.9.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.